Subject: Re: [PATCH 01/11] Removing dead RT2800PCI_SOC

From: Bartlomiej Zolnierkiewicz <[email-masked]>
Date: Wed, 14 Jul 2010 16:14:55 +0200

On Wednesday 14 July 2010 02:52:14 pm Ivo Van Doorn wrote:
> On Wed, Jul 14, 2010 at 2:46 PM, Luis Correia <[email-masked]> wrote:
> > On Wed, Jul 14, 2010 at 13:39, Christoph Egger <[email-masked]> wrote:
> >> While RT2800PCI_SOC exists in Kconfig, it depends on either
> >> RALINK_RT288X or RALINK_RT305X which are both not available in Kconfig
> >> so all Code depending on that can't ever be selected and, if there's
> >> no plan to add these options, should be cleaned up
> >>
> >> Signed-off-by: Christoph Egger <[email-masked]>
> >
> > NAK,
> >
> > this is not dead code, it is needed for the Ralink System-on-Chip
> > Platform devices.
> >
> > While I can't fix Kconfig errors and the current KConfig file may be
> > wrong, this code cannot and will not be deleted.
> 
> When the config option was introduced, the config options RALINK_RT288X and
> RALINK_RT305X were supposed to be merged as well soon after by somebody (Felix?)
> 
> But since testing is done on SoC boards by Helmut and Felix, I assume the code
> isn't dead but actually in use.
> 
> Ivo

I fully agree with Luis and Ivo that the proposed patch is invalid and
shouldn't be applied (the "code cannot and will not be deleted" anyway)..

[ Under "The New Normal" rules the code doesn't even have to work to be
  merged and/or stay in the kernel so 9 months of code not being used by
  any real user doesn't matter a tiny bit.. ]

--
Bartlomiej Zolnierkiewicz